List Files
curl --request GET \
--url https://api.example.com/v1/filesimport requests
url = "https://api.example.com/v1/files"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "file",
"bytes": 123,
"created_at": 123,
"expires_at": 123,
"filename": "<string>",
"purpose": "assistants"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"object": "list"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Files
List Files
List all uploaded files.
GET
/
v1
/
files
List Files
Query Parameters
Required range:
1 <= x <= 10000Available options:
asc, desc Available options:
assistants, assistants_output, batch, batch_output, fine-tune, fine-tune-results, vision, user_data Response
Successful Response
A list of file objects.
Show child attributes
Show child attributes
The ID of the first file in the list.
The ID of the last file in the list.
Whether there are more files available after this list.
The object type, which is always list.
Allowed value:
"list"
